> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hiringbranch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all assessments

> GET /v1/assessment



## OpenAPI

````yaml GET /v1/assessment
openapi: 3.0.1
info:
  title: Connect Api
  version: '1.0'
servers:
  - url: https://api.hiringbranch.com/connect
security:
  - ApiKey: []
paths:
  /v1/assessment:
    get:
      tags:
        - Assessment
      summary: Get all the assessment for the client
      description: GET /v1/assessment
      parameters:
        - name: instance
          in: header
          description: Name of the instance
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of assessments name and id
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssessmentResponseDto'
        '400':
          description: Validation failed
components:
  schemas:
    AssessmentResponseDto:
      required:
        - id
        - name
      type: object
      properties:
        id:
          minLength: 1
          type: string
          description: Assessment id
          example: 59bc377497c7ac0cbc1b69c7
        name:
          minLength: 1
          type: string
          description: Assessment name
          example: Language Assessment
      additionalProperties: false
  securitySchemes:
    ApiKey:
      type: apiKey
      description: Api key given by Hiringbranch
      name: X-API-Key
      in: header

````